Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar.model
[Groovy] Class SonarJavaSettings

    java.lang.Object
      org.gradle.api.plugins.sonar.model.SonarJavaSettings

    class SonarJavaSettings

Java-related configuration options for the project to be analyzed.

Property Summary
`String` | `sourceCompatibility` The source compatibility of the Java code.
`String` | `targetCompatibility` The target compatibility of the Java code.

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### sourceCompatibility

    @SonarProperty("sonar.java.source")
    String sourceCompatibility

  The source compatibility of the Java code. Defaults to `project.sourceCompatibility`.

### targetCompatibility

    @SonarProperty("sonar.java.target")
    String targetCompatibility

  The target compatibility of the Java code. Defaults to `project.targetCompatibility`.

Gradle API 1.10